aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorMohammed Amar-Bensaber <renken@shione.net>2024-08-27 22:22:07 +0200
committerMohammed Amar-Bensaber <renken@shione.net>2024-08-27 22:22:07 +0200
commitc1ccf5ae7d8938d726fb1fd8cac9d826e0de8169 (patch)
tree12e037ca2475701d6bc62b400577f98b5aa7e5ae /build.sh
parent3bdf09e661913c31bbc43dad4b6d93c7e436f935 (diff)
downloadshione-c1ccf5ae7d8938d726fb1fd8cac9d826e0de8169.tar.gz
shione-c1ccf5ae7d8938d726fb1fd8cac9d826e0de8169.zip
build: copy wireguard secrets
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..c97dc90
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Modifies the file hierarchy prior to build the Debian package.
+
+set -eux
+
+hash gbp
+
+# Builds wireguard configuration files.
+#
+# This mainly copies secret files and `wg0.conf` definition.
+build_wireguard() {
+ cp -r ./secrets/files/etc/wireguard ./files/etc
+}
+
+build_wireguard
+
+gbp buildpackage